com.hammurapi.common

## Class FilterClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - com.hammurapi.common.FilterClassLoader

-     public abstract class FilterClassLoader
      extends ClassLoader

  Class loader which filters classes/resources from another classloader. This classloader can be used for fine-grained loading of classes from a jar file which contains several logical groups of classes (e.g. packages) which have to be loaded individually, e.g. they have different dependencies.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FilterClassLoader(ClassLoader filtered)`
    `protected` | `FilterClassLoader(ClassLoader filtered, ClassLoader parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract boolean` | `accept(String name)`
    `protected Class<?>` | `findClass(String name)`
    `protected URL` | `findResource(String name)`
    `protected Enumeration<URL>` | `findResources(String name)`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterClassLoader

          protected FilterClassLoader(ClassLoader filtered)

    - #### FilterClassLoader

          protected FilterClassLoader(ClassLoader filtered,
                           ClassLoader parent)

  - ### Method Detail

    - #### accept

          protected abstract boolean accept(String name)

    - #### findResource

          protected URL findResource(String name)

      Overrides:
        `findResource` in class `ClassLoader`

    - #### findResources

          protected Enumeration<URL> findResources(String name)
                                            throws IOException

      Overrides:
        `findResources` in class `ClassLoader`
      Throws:
        `IOException`

    - #### findClass

          protected Class<?> findClass(String name)
                                throws ClassNotFoundException

      Overrides:
        `findClass` in class `ClassLoader`
      Throws:
        `ClassNotFoundException`